Upgrade to 47
This commit is contained in:
parent
c06572f57d
commit
ef9375261c
@ -1,49 +0,0 @@
|
||||
Index: Build.sh
|
||||
===================================================================
|
||||
RCS file: /cvs/src/bin/mksh/Build.sh,v
|
||||
retrieving revision 1.630
|
||||
retrieving revision 1.631
|
||||
diff -u -p -r1.630 -r1.631
|
||||
--- Build.sh 2 May 2013 21:59:44 -0000 1.630
|
||||
+++ Build.sh 5 May 2013 13:38:00 -0000 1.631
|
||||
@@ -63,7 +63,7 @@ vq() {
|
||||
rmf() {
|
||||
for _f in "$@"; do
|
||||
case $_f in
|
||||
- Build.sh|check.pl|check.t|dot.mkshrc|*.c|*.h|mksh.1) ;;
|
||||
+ Build.sh|check.pl|check.t|dot.mkshrc|*.c|*.h|lksh.1|mksh.1) ;;
|
||||
*) rm -f "$_f" ;;
|
||||
esac
|
||||
done
|
||||
@@ -458,7 +458,7 @@ oswarn=
|
||||
ccpc=-Wc,
|
||||
ccpl=-Wl,
|
||||
tsts=
|
||||
-ccpr='|| for _f in ${tcfn}*; do case $_f in Build.sh|check.pl|check.t|dot.mkshrc|*.c|*.h|mksh.1) ;; *) rm -f "$_f" ;; esac; done'
|
||||
+ccpr='|| for _f in ${tcfn}*; do case $_f in Build.sh|check.pl|check.t|dot.mkshrc|*.c|*.h|lksh.1|mksh.1) ;; *) rm -f "$_f" ;; esac; done'
|
||||
|
||||
# Evil hack
|
||||
if test x"$TARGET_OS" = x"Android"; then
|
||||
@@ -2268,8 +2268,10 @@ test 1 = $eq && e=:
|
||||
$e
|
||||
$e Installing the shell:
|
||||
$e "# $i -c -s -o root -g bin -m 555 $tfn /bin/$tfn"
|
||||
-$e "# grep -x /bin/$tfn /etc/shells >/dev/null || echo /bin/$tfn >>/etc/shells"
|
||||
-$e "# $i -c -o root -g bin -m 444 dot.mkshrc /usr/share/doc/mksh/examples/"
|
||||
+if test $legacy = 0; then
|
||||
+ $e "# grep -x /bin/$tfn /etc/shells >/dev/null || echo /bin/$tfn >>/etc/shells"
|
||||
+ $e "# $i -c -o root -g bin -m 444 dot.mkshrc /usr/share/doc/mksh/examples/"
|
||||
+fi
|
||||
$e
|
||||
$e Installing the manual:
|
||||
if test -f $tfn.cat1; then
|
||||
@@ -2277,7 +2279,7 @@ if test -f $tfn.cat1; then
|
||||
"/usr/share/man/cat1/$tfn.0"
|
||||
$e or
|
||||
fi
|
||||
-$e "# $i -c -o root -g bin -m 444 mksh.1 /usr/share/man/man1/$tfn.1"
|
||||
+$e "# $i -c -o root -g bin -m 444 $tfn.1 /usr/share/man/man1/$tfn.1"
|
||||
$e
|
||||
$e Run the regression test suite: ./test.sh
|
||||
$e Please also read the sample file dot.mkshrc and the fine manual.
|
||||
|
@ -1,8 +1,8 @@
|
||||
%define _bindir /bin
|
||||
Summary: MirBSD enhanced version of the Korn Shell
|
||||
Name: mksh
|
||||
Version: 46
|
||||
Release: 2%{?dist}
|
||||
Version: 47
|
||||
Release: 1%{?dist}
|
||||
# BSD (setmode.c), ISC (strlcpy.c), MirOS (the rest)
|
||||
License: MirOS and ISC and BSD
|
||||
Group: System Environment/Shells
|
||||
@ -10,7 +10,6 @@ URL: https://www.mirbsd.de/%{name}.htm
|
||||
Source0: http://www.mirbsd.org/MirOS/dist/mir/%{name}/%{name}-R%{version}.tgz
|
||||
Source1: dot-mkshrc
|
||||
Source2: rtchecks.expected
|
||||
Patch0: mksh-46-lksh.patch
|
||||
Requires(post): grep
|
||||
Requires(postun): sed
|
||||
BuildRequires: util-linux, ed
|
||||
@ -25,7 +24,6 @@ bourne shell replacement, pdksh successor and an alternative to the C shell.
|
||||
|
||||
%prep
|
||||
%setup -q -n %{name}
|
||||
%patch0 -p0 -b .lksh
|
||||
|
||||
# we'll need this later
|
||||
cat >rtchecks <<'EOF'
|
||||
@ -126,6 +124,9 @@ rm -rf $RPM_BUILD_ROOT
|
||||
%{_mandir}/man1/lksh.1*
|
||||
|
||||
%changelog
|
||||
* Sat Aug 03 2013 Robert Scheck <robert@fedoraproject.org> 47-1
|
||||
- Upgrade to 47
|
||||
|
||||
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 46-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
|
||||
|
||||
|
Loading…
Reference in New Issue
Block a user